/*
 * Fabric3
 * Copyright  2008 Metaform Systems Limited
 *
 * This proprietary software may be used only connection with the Fabric3 license
 * (the License), a copy of which is included in the software or may be
 * obtained at: http://www.metaformsystems.com/licenses/license.html.

 * Software distributed under the License is distributed on an as is basis,
 * without warranties or conditions of any kind.  See the License for the
 * specific language governing permissions and limitations of use of the software.
 * This software is distributed in conjunction with other software licensed under
 * different terms.  See the separate licenses for those programs included in the
 * distribution for the permitted and restricted uses of such software.
 *
 */
package org.fabric3.spi.introspection;

/**
 * @version $Rev: 6141 $ $Date: 2008-12-02 06:29:23 +0000 (Tue, 02 Dec 2008) $
 */
public class ImplementationNotFoundException extends IntrospectionException {
    private static final long serialVersionUID = -5872848682083357587L;

    public ImplementationNotFoundException(String identifier) {
        super(identifier);
    }

    public ImplementationNotFoundException(String identifier, Throwable cause) {
        super(identifier, cause);
    }

    public String getMessage() {
        return "Unable to load implementation class: " + getIdentifier();
    }
}
